LDPD(8) | System Manager's Manual | LDPD(8)

# NAME

ldpd — Label Distribution Protocol Daemon

# SYNOPSIS

ldpd | [-DdfhW] [-c config_file] [-p port]

# DESCRIPTION

ldpd is a utility used to automatically distribute labels between two MPLS LSRs almost conforming to RFC3036. Right now it is in BETA stage and many features are not implemented or may not work. As a security measure you SHOULD filter the LDP well-known (646) TCP and UDP ports using your favourite packet filter before starting ldpd. Also this is the current measure used to filter neighbours. You should see some logs reported via syslog(3) interface.

You can increase the log verbosity using the -W and -D flags. Also you can telnet to the control port (default: 2626) and use this interface in order to get informations about protocol, neighbours etc. but also to set runtime parameters. The required password is the same as the root password.

ldpd computes existing routes and tries to match them on MPLS labels announced by other LDP peers. This means that “normal” routes will be changed into tagged routes, and MPLS routing table will be populated. It will also announce its mappings to its peers. ldpd will listen on a route socket and compute the necessary changes in order to change untagged routes into tagged routes. This means that one may use one's favourite dynamic routing protocol daemon without modifications.

The options are as follows:

-c config_file
  Specifies a path to the config file. Default: /etc/ldpd.conf - see ldpd.conf(5) for configuration file format.
-D
  Enable debug mode.
-d
  Don't use route interception code.
-f
  Run in foreground. Use STDOUT for warning and debug messages.
-h
  Outputs supported flags.
-p port
  Changes the TCP control port (default: 2626).
-W
  Enable output of warning messages.

# SEE ALSO

LDP Specification, RFC, 3036, January 2001.

LDP Applicability, RFC, 3037, January 2001.

# HISTORY

The ldpd command appeared in NetBSD 6.0.

# BUGS

ldpd supports only IPv4 and doesn't implement Path Vector and Hop Count TLVs.

July 7, 2011 | NetBSD 6.0